Main Page Class Hierarchy Compound List File List Compound Members File Members

# transport.h File Reference

`#include <platform.h>`

Go to the source code of this file.

## Compounds
struct | MSG_LOGO
struct | MSG_TRACK
struct | SHM_HEAD
struct | SHM_INFO
struct | TPORT_HEAD
## Defines
#define | WILD 0
#define | NTRACK_PUT 200
#define | NTRACK_GET 500
#define | FIRST_BYTE 111
#define | TPORT_FATAL -99
#define | PUT_OK 1
#define | PUT_NOTRACK -1
#define | PUT_TOOBIG -2
#define | GET_OK 1
#define | GET_NONE 0
#define | GET_MISS -1
#define | GET_NOTRACK -2
#define | GET_TOOBIG -3
#define | GET_MISS_LAPPED -4
#define | GET_MISS_SEQGAP -5
#define | SHM_INUSE -1
#define | SHM_FREE 1
#define | TERMINATE -999
## Functions
void | tport_create (SHM_INFO *, long, long)
void | tport_destroy (SHM_INFO *)
void | tport_attach (SHM_INFO *, long)
void | tport_detach (SHM_INFO *)
int | tport_putmsg (SHM_INFO *, MSG_LOGO *, long, char *)
int | tport_getmsg (SHM_INFO *, MSG_LOGO *, short, MSG_LOGO *, long *, char *, long)
void | tport_putflag (SHM_INFO *, int)
int | tport_getflag (SHM_INFO *)
int | tport_buffer (SHM_INFO *, SHM_INFO *, MSG_LOGO *, short, unsigned, unsigned char, unsigned char)
int | tport_copyto (SHM_INFO *, MSG_LOGO *, long, char *, unsigned char)
int | tport_copyfrom (SHM_INFO *, MSG_LOGO *, short, MSG_LOGO *, long *, char *, long, unsigned char *)

## Define Documentation

#define FIRST_BYTE 111

| Definition at line 102 of file transport.h. Referenced by tport_copyfrom(), tport_copyto(), tport_getmsg(), and tport_putmsg().

#define GET_MISS -1

| Definition at line 117 of file transport.h. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), and tport_getmsg().

#define GET_MISS_LAPPED -4

| Definition at line 121 of file transport.h. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_bufthr(), and tport_copyfrom().

#define GET_MISS_SEQGAP -5

| Definition at line 123 of file transport.h. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_bufthr(), and tport_copyfrom().

#define GET_NONE 0

| Definition at line 116 of file transport.h. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_bufthr(), tport_copyfrom(), and tport_getmsg().

#define GET_NOTRACK -2

| Definition at line 118 of file transport.h. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_bufthr(), tport_copyfrom(), and tport_getmsg().

#define GET_OK 1

| Definition at line 115 of file transport.h. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_bufthr(), tport_copyfrom(), and tport_getmsg().

#define GET_TOOBIG -3

| Definition at line 119 of file transport.h. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_bufthr(), tport_copyfrom(), and tport_getmsg().

#define NTRACK_GET 500

| Definition at line 101 of file transport.h. Referenced by tport_copyfrom(), and tport_getmsg().

#define NTRACK_PUT 200

| Definition at line 100 of file transport.h. Referenced by tport_putmsg().

#define PUT_NOTRACK -1

| Definition at line 111 of file transport.h. Referenced by tport_putmsg().

#define PUT_OK 1

| Definition at line 110 of file transport.h. Referenced by WormServerBase::SendStatus(), CMFCDialogModuleBase::SendStatus(), tport_buferror(), tport_bufthr(), tport_copyto(), tport_putmsg(), and MutableServerBase::TransmitResult().

#define PUT_TOOBIG -2

| Definition at line 112 of file transport.h. Referenced by tport_bufthr().

#define SHM_FREE 1

| Definition at line 129 of file transport.h.

#define SHM_INUSE -1

| Definition at line 128 of file transport.h.

#define TERMINATE -999

| Definition at line 132 of file transport.h. Referenced by MutableServerBase::MainThreadActions(), WormServerBase::Run(), CMFCDialogModuleBase::StatusAndReadLoop(), and tport_bufthr().

#define TPORT_FATAL -99

| Definition at line 107 of file transport.h. Referenced by tport_copyto(), and tport_putmsg().

#define WILD 0

| Definition at line 99 of file transport.h. Referenced by tport_copyfrom(), and tport_getmsg().

## Function Documentation

void tport_attach | ( | SHM_INFO * | ,
|  | long |
| ) |

| Definition at line 178 of file transport.c. References SHM_INFO::addr, SHM_INFO::key, and tport_syserr(). Referenced by MutableServerBase::Handler(), RingReaderServer::PrepareToRun(), WormServerBase::Run(), MutableServerBase::Run(), MutableServerBase::Stacker(), and CMFCDialogModuleBase::StatusAndReadLoop().

int tport_buffer | ( | SHM_INFO * | ,
|  | SHM_INFO * | ,
|  | MSG_LOGO * | ,
|  | short | ,
|  | unsigned | ,
|  | unsigned | char,
|  | unsigned | char
| ) |

| Definition at line 877 of file transport.c. References BufRegion, Getlogo, GetType(), MaxMsgSize, Message, MyInstid, MyModuleId, Nget, and PubRegion.

int tport_copyfrom | ( | SHM_INFO * | ,
|  | MSG_LOGO * | ,
|  | short | ,
|  | MSG_LOGO * | ,
|  | long * | ,
|  | char * | ,
|  | long | ,
|  | unsigned char * |
| ) |

| Definition at line 934 of file transport.c. References MSG_TRACK::active, SHM_INFO::addr, Copyfrom_Init, FIRST_BYTE, GET_MISS_LAPPED, GET_MISS_SEQGAP, GET_NONE, GET_NOTRACK, GET_OK, GET_TOOBIG, MSG_LOGO::instid, SHM_INFO::key, SHM_HEAD::keyin, SHM_HEAD::keymax, SHM_HEAD::keyold, MSG_TRACK::keyout, TPORT_HEAD::logo, MSG_TRACK::logo, MSG_TRACK::memkey, MSG_LOGO::mod, NTRACK_GET, TPORT_HEAD::seq, MSG_TRACK::seq, TPORT_HEAD::size, TPORT_HEAD::start, MSG_LOGO::type, and WILD. Referenced by tport_bufthr().

int tport_copyto | ( | SHM_INFO * | ,
|  | MSG_LOGO * | ,
|  | long | ,
|  | char * | ,
|  | unsigned | char
| ) |

| Definition at line 1253 of file transport.c. References SHM_INFO::addr, Copyto_Init, FIRST_BYTE, SHM_INFO::key, SHM_HEAD::keyin, SHM_HEAD::keymax, SHM_HEAD::keyold, TPORT_HEAD::logo, PUT_OK, TPORT_HEAD::seq, TPORT_HEAD::size, TPORT_HEAD::start, and TPORT_FATAL. Referenced by tport_bufthr().

void tport_create | ( | SHM_INFO * | ,
|  | long | ,
|  | long |
| ) |

| Definition at line 75 of file transport.c. References SHM_INFO::addr, SHM_HEAD::flag, SHM_INFO::key, SHM_HEAD::keyin, SHM_HEAD::keymax, SHM_HEAD::keyold, SHM_HEAD::nbytes, and tport_syserr().

void tport_destroy | ( | SHM_INFO * |  | ) |

| Definition at line 145 of file transport.c. References SHM_INFO::addr, tport_putflag(), and tport_syserr().

void tport_detach | ( | SHM_INFO * |  | ) |

| Definition at line 236 of file transport.c. References SHM_INFO::addr, and tport_syserr(). Referenced by RingReaderServer::FinishedRunning(), MutableServerBase::Handler(), WormServerBase::Run(), MutableServerBase::Run(), MutableServerBase::Stacker(), CMFCDialogModuleBase::~CMFCDialogModuleBase(), MutableServerBase::~MutableServerBase(), and RingReaderServer::~RingReaderServer().

int tport_getflag | ( | SHM_INFO * |  | ) |

| Definition at line 756 of file transport.c. References SHM_INFO::addr, and SHM_HEAD::flag. Referenced by MutableServerBase::MainThreadActions(), WormServerBase::Run(), CMFCDialogModuleBase::StatusAndReadLoop(), and tport_bufthr().

int tport_getmsg | ( | SHM_INFO * | ,
|  | MSG_LOGO * | ,
|  | short | ,
|  | MSG_LOGO * | ,
|  | long * | ,
|  | char * | ,
|  | long |
| ) |

| Definition at line 440 of file transport.c. References MSG_TRACK::active, SHM_INFO::addr, FIRST_BYTE, Get_Init, GET_MISS, GET_NONE, GET_NOTRACK, GET_OK, GET_TOOBIG, MSG_LOGO::instid, SHM_INFO::key, SHM_HEAD::keyin, SHM_HEAD::keymax, SHM_HEAD::keyold, MSG_TRACK::keyout, TPORT_HEAD::logo, MSG_TRACK::logo, MSG_TRACK::memkey, MSG_LOGO::mod, NTRACK_GET, TPORT_HEAD::seq, MSG_TRACK::seq, TPORT_HEAD::size, TPORT_HEAD::start, MSG_LOGO::type, and WILD. Referenced by RingReaderServer::MainThreadActions(), MutableServerBase::Stacker(), and CMFCDialogModuleBase::StatusAndReadLoop().

void tport_putflag | ( | SHM_INFO * | ,
|  | int |
| ) |

| Definition at line 740 of file transport.c. References SHM_INFO::addr, and SHM_HEAD::flag. Referenced by tport_bufthr(), and tport_destroy().

int tport_putmsg | ( | SHM_INFO * | ,
|  | MSG_LOGO * | ,
|  | long | ,
|  | char * |
| ) |

| Definition at line 267 of file transport.c. References SHM_INFO::addr, FIRST_BYTE, MSG_LOGO::instid, SHM_INFO::key, SHM_HEAD::keyin, SHM_HEAD::keymax, SHM_HEAD::keyold, MSG_TRACK::keyout, TPORT_HEAD::logo, MSG_TRACK::logo, MSG_TRACK::memkey, MSG_LOGO::mod, NTRACK_PUT, Put_Init, PUT_NOTRACK, PUT_OK, TPORT_HEAD::seq, MSG_TRACK::seq, TPORT_HEAD::size, TPORT_HEAD::start, TPORT_FATAL, and MSG_LOGO::type. Referenced by WormServerBase::SendStatus(), CMFCDialogModuleBase::SendStatus(), tport_buferror(), and MutableServerBase::TransmitResult().